Package fr.gouv.vitam.common.model.processing

# Class Step

java.lang.Object
fr.gouv.vitam.common.model.processing.Step

Direct Known Subclasses:
  `ProcessStep`

public class Step extends Object
Step Object in process workflow

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Step()`
  `Step(String id, String workerGroupId, String stepName, ProcessBehavior behavior, Boolean cancellable, Distribution distribution, List<Action> actions, String waitFor)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `defaultLifecycleLog(LifecycleState lifecycleLog)`
  `List<Action>`
  `getActions()`
  getActions
  `ProcessBehavior`
  `getBehavior()`
  `Distribution`
  `getDistribution()`
  getDistribution
  `String`
  `getId()`
  `PauseOrCancelAction`
  `getPauseOrCancelAction()`
  `String`
  `getStepName()`
  `ItemStatus`
  `getStepResponses()`
  `String`
  `getWaitFor()`
  `String`
  `getWorkerGroupId()`
  `boolean`
  `isBlocking()`
  `boolean`
  `isCancellable()`
  `boolean`
  `isFinally()`
  `Step`
  `setActions(List<Action> actions)`
  `Step`
  `setBehavior(ProcessBehavior behavior)`
  `Step`
  `setCancellable(boolean cancellable)`
  setCancellable
  `Step`
  `setDistribution(Distribution distribution)`
  setDistribution
  `void`
  `setId(String id)`
  `Step`
  `setPauseOrCancelAction(PauseOrCancelAction pauseOrCancelAction)`
  `Step`
  `setStepName(String stepName)`
  `Step`
  `setStepResponses(ItemStatus stepResponses)`
  `void`
  `setWaitFor(String waitFor)`
  `Step`
  `setWorkerGroupId(String workerGroupId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Step

    public Step()

  - ### Step

    public Step(String id, String workerGroupId, String stepName, ProcessBehavior behavior, Boolean cancellable, Distribution distribution, List<Action> actions, String waitFor)

- ## Method Details

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getActions

    public List<Action> getActions()
    getActions
    Returns:
      the list of actions to be executed for the step

  - ### setActions

    public Step setActions(List<Action> actions)
    Parameters:
      `actions` - the list of actions
    Returns:
      the updated Step object

  - ### getWorkerGroupId

    public String getWorkerGroupId()
    Returns:
      workerGroupId the id of the WorkerGroup for the step

  - ### setWorkerGroupId

    public Step setWorkerGroupId(String workerGroupId)
    Parameters:
      `workerGroupId` - the id of the WorkerGroup for the step
    Returns:
      the updated Step object

  - ### getStepName

    public String getStepName()
    Returns:
      the step Name

  - ### setStepName

    public Step setStepName(String stepName)
    Parameters:
      `stepName` - the step Name to set
    Returns:
      the updated Step object

  - ### getDistribution

    public Distribution getDistribution()
    getDistribution
    Returns:
      the distribution object of step

  - ### setDistribution

    public Step setDistribution(Distribution distribution)
    setDistribution
    Parameters:
      `distribution` - object
    Returns:
      the Step instance with distribution value setted

  - ### getBehavior

    public ProcessBehavior getBehavior()
    Returns:
      the stepType

  - ### setBehavior

    public Step setBehavior(ProcessBehavior behavior)
    Parameters:
      `behavior` - the Process Behavior to set
    Returns:
      the updated Step

  - ### isCancellable

    public boolean isCancellable()
    Returns:
      the cancellable status

  - ### setCancellable

    public Step setCancellable(boolean cancellable)
    setCancellable
    Parameters:
      `cancellable` - the cancellable status to set
    Returns:
      the updated step

  - ### getStepResponses

    public ItemStatus getStepResponses()
    Returns:
      the stepResponses

  - ### setStepResponses

    public Step setStepResponses(ItemStatus stepResponses)
    Parameters:
      `stepResponses` - the stepResponses to set
    Returns:
      this

  - ### isBlocking

    public boolean isBlocking()
    Returns:
      True if this step is blocking

  - ### isFinally

    public boolean isFinally()

  - ### getPauseOrCancelAction

    public PauseOrCancelAction getPauseOrCancelAction()

  - ### setPauseOrCancelAction

    public Step setPauseOrCancelAction(PauseOrCancelAction pauseOrCancelAction)

  - ### defaultLifecycleLog

    public void defaultLifecycleLog(LifecycleState lifecycleLog)

  - ### getWaitFor

    public String getWaitFor()

  - ### setWaitFor

    public void setWaitFor(String waitFor)